#include <bits/stdc++.h>

using namespace std;

const int inf = 1e9;

#define int long long

void solve(){
    int n, m;
    cin >> n >> m;
    int x[m + 1];
    for(int i = 1;i <= m;i++){
        cin >> x[i];
    }
    if(n >= m){
        cout << x[1] * m << "\n";
    }else{
        cout << x[1] * (n - 1) + (abs(n - m) % 2 == 1 ? x[1] : 0) << "\n";
    }
//    int k = (1 << n);
//    int dp[m + 1][k];
//    for(int i = 0;i <= m;i++){
//        for(int j = 0;j < k;j++){
//            if(i == 0){
//                dp[i][j] = 0;
//            }else{
//                dp[i][j] = -inf;
//            }
//        }
//    }
//    for(int i = 1;i <= m;i++){
//        for(int mask = 0;mask < k;mask++){
//            for(int j = 0;j < n;j++){
//                if((mask >> j & 1)){
//                    dp[i][mask] = max(dp[i][mask], dp[i - 1][mask - (1 << j)] + x[i]);
//                }else{
//                    dp[i][mask] = max(dp[i][mask], dp[i - 1][mask + (1 << j)] - x[i]);
//                }
//            }
//        }
//    }
//    cout << dp[m][k - 1] << "\n";
}

int32_t main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    while(t--){
        solve();
    }

    return 0;
}
